Return a list of pinned namespaces for collection-level query latency metrics collection for the specified project and cluster.
Base URL: https://cloud.mongodb.com/api/public/v1.0
Resource
GET /groups/{PROJECT-ID}/clusters/{hostClusterId}/collStats/pinnedRequest Path Parameters
Parameter | Type | Description |
|---|---|---|
PROJECT-ID | string | (Required.) Unique 24-hexadecimal digit string that identifies the project that contains the pinned namespaces. |
hostClusterId | string | (Required.) Unique identifier for the cluster that contains the pinned namespaces. |
Request Query Parameters
All parameters are optional.
Name | Type | Description | Default |
|---|---|---|---|
pretty | boolean | Indicates whether the response body should be in a prettyprint format. |
|
envelope | boolean | Indicates whether or not to wrap the response in an envelope. |
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Name | Type | Description |
|---|---|---|
clusterId | string | Unique string that identifies the cluster. |
groupId | string | Unique 24-hexadecimal digit string that identifies the project. |
pinnedNamespaces | array | List that contains each pinned namespace. |
Example Request
curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \ --header 'Accept: application/json' \ --include \ --request GET 'https://{CLOUD-MANAGER-HOST}:{PORT}/api/public/v1.0/groups/{PROJECT-ID}/clusters/{hostClusterId}/collStats/pinned?pretty=true'Example Response
Response Header
HTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "clusterId": "{hostClusterId}", "groupId": "{PROJECT-ID}", "pinnedNamespaces": [ "testDb.collection1", "testDb.collection2" ]}